<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="MdeCooperationMsgMapper">
	<resultMap type="com.wechat.model.dbEntity.MdeCooperationMsg" id="MdeCooperationMsgMap">
		<id column="COOP_ID" property="coopId" />
		<result column="COOP_TYPE" property="coopType" />
		<result column="EMAIL" property="email" />
		<result column="PHONE_NO" property="phoneNo" />
		<result column="NAME" property="name" />
		<result column="COMPANY_NAME" property="companyName" />
		<result column="POSITION" property="position" />
		<result column="VISIT_STATUS" property="visitStatus" />
		<result column="COMMENT" property="comment" />
		<result column="VERSION_NO" property="versionNo" />
		<result column="CREATE_BY" property="create_By" />
		<result column="CREATE_DATE" property="createDate" />
		<result column="UPDATE_BY" property="updateBy" />
		<result column="UPDATE_DATE" property="updateDate" />
		<result column="REMARKS" property="remarks" />
		<result column="DEL_FLAG" property="delFlag" />
	</resultMap>
	<sql id="mdeJobAdvertisedColumns">
		COOP_ID,COOP_TYPE,EMAIL,PHONE_NO,NAME,COMPANY_NAME,POSITION,VISIT_STATUS,COMMENT,VERSION_NO,
		CREATE_BY,CREATE_DATE,UPDATE_BY,UPDATE_DATE,REMARKS,DEL_FLAG
	</sql>
	
	<insert id="insert">
		INSERT INTO MDE_COOPERATION_MSG(
		COOP_TYPE,
		EMAIL,
		PHONE_NO,
		NAME,
		COMPANY_NAME,
		POSITION,
		CREATE_DATE,
		UPDATE_DATE
		) VALUES (
		#{coopType},
		#{email},
		#{phoneNo},
		#{name},
		#{companyName},
		#{position},
		#{createDate},
		#{updateDate}
		)
	</insert>
</mapper>